Bug 1409802 - Review Request: python-leather - Python charting for 80% of humans
Summary: Review Request: python-leather - Python charting for 80% of humans
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dhanesh B. Sabane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1431420
TreeView+ depends on / blocked
 
Reported: 2017-01-03 13:06 UTC by Julien Enselme
Modified: 2017-04-01 17:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-26 08:19:29 UTC
Type: ---
dhanesh95: fedora-review+


Attachments (Terms of Use)

Description Julien Enselme 2017-01-03 13:06:29 UTC
Spec URL: http://dl.jujens.eu/SPECS/python-leather.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-leather-0.3.3-1.gite85dd30.fc25.src.rpm

Description:
Leather is the Python charting library for those who need charts now and don’t
care if they’re perfect.

Leather isn’t picky. It’s rough. It gets dirty. It looks sexy just hanging on 
the back of a chair. Leather doesn’t need your accessories. Leather is how 
Snake Plissken would make charts.

Comment 1 Dhanesh B. Sabane 2017-03-13 06:54:54 UTC
(In reply to Julien Enselme from comment #0)
> Spec URL: http://dl.jujens.eu/SPECS/python-leather.spec
> SRPM URL:
> http://dl.jujens.eu/SRPMS/python-leather-0.3.3-1.gite85dd30.fc25.src.rpm
> 

Disclaimer : I'm not a packager yet. So this is an unofficial review.

Here's what fedora-review tells me:

* Rpmlint output:

Rpmlint
-------
Checking: python2-leather-0.3.3-1.gite85dd30.fc24.noarch.rpm
          python3-leather-0.3.3-1.gite85dd30.fc24.noarch.rpm
          python-leather-doc-0.3.3-1.gite85dd30.fc24.noarch.rpm
          python-leather-0.3.3-1.gite85dd30.fc24.src.rpm
python2-leather.noarch: W: spelling-error %description -l en_US isn -> sin, ins, ism
python2-leather.noarch: W: spelling-error %description -l en_US doesn -> does, does n
python3-leather.noarch: W: spelling-error %description -l en_US isn -> sin, ins, ism
python3-leather.noarch: W: spelling-error %description -l en_US doesn -> does, does n
python-leather-doc.noarch: W: spelling-error %description -l en_US isn -> sin, ins, ism
python-leather-doc.noarch: W: spelling-error %description -l en_US doesn -> does, does n
python-leather-doc.noarch: W: file-not-utf8 /usr/share/doc/python-leather-doc/html/objects.inv
python-leather.src: W: spelling-error %description -l en_US isn -> sin, ins, ism
python-leather.src: W: spelling-error %description -l en_US doesn -> does, does n
4 packages and 0 specfiles checked; 0 errors, 9 warnings.



Rpmlint (installed packages)
----------------------------
python-leather-doc.noarch: W: spelling-error %description -l en_US isn -> sin, ins, ism
python-leather-doc.noarch: W: spelling-error %description -l en_US doesn -> does, does n
python-leather-doc.noarch: W: file-not-utf8 /usr/share/doc/python-leather-doc/html/objects.inv
python3-leather.noarch: W: spelling-error %description -l en_US isn -> sin, ins, ism
python3-leather.noarch: W: spelling-error %description -l en_US doesn -> does, does n
python2-leather.noarch: W: spelling-error %description -l en_US isn -> sin, ins, ism
python2-leather.noarch: W: spelling-error %description -l en_US doesn -> does, does n
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

Typos.

Everything else seems good. fedora-review does throw an issue regarding the license :

Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.txt is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

But I think this can be safely ignored. COPYING is already a part of %license. Also, there is no file named license.txt in the source. So I don't see why this is an issue.

Comment 2 Julien Enselme 2017-03-13 10:33:10 UTC
> Disclaimer : I'm not a packager yet. So this is an unofficial review.

I hope you will be soon!

> But I think this can be safely ignored. COPYING is already a part of %license. Also, there is no file named license.txt in the source.

I think this is a false positive. Some projects put their license in license.txt others in LICENSE and others in COPYING. And the COPYING file I include with %license is the license: BuildRequires:  python2-sphinx

Comment 3 Dhanesh B. Sabane 2017-03-13 10:41:38 UTC
(In reply to Julien Enselme from comment #2)
> I hope you will be soon!

Thanks!

> I think this is a false positive. Some projects put their license in
> license.txt others in LICENSE and others in COPYING. And the COPYING file I
> include with %license is the license: BuildRequires:  python2-sphinx

I think so too. There is a license.rst file in the source though, but from the discussion I had on IRC with other devs tells me that it will be processed by the make in docs.

Comment 4 Zbigniew Jędrzejewski-Szmek 2017-03-14 04:35:04 UTC
No need to specify "BuildArch:      noarch" more than once.

Those loops ("for file in leather/*.py; do...") are not necessary, sed takes multiple arguments.

I like minimalism, I'd also replace "pushd docs, popd" with a '-C docs' argument to make...

I also think the description could be a bit more down-to-earth. I *do* think the text you have is funny, but OTOH, it doesn't say too much about the package ;)
E.g. the stuff from the documentation, "produces scale-invariant SVGs", etc, is pretty useful.

Comment 5 Julien Enselme 2017-03-14 18:38:18 UTC
> No need to specify "BuildArch:      noarch" more than once.

Fixed.

> Those loops ("for file in leather/*.py; do...") are not necessary, sed takes multiple arguments.

Indeed, fixed.

> I like minimalism, I'd also replace "pushd docs, popd" with a '-C docs' argument to make...

I didn't know about this option. I fine with the pushd/popd so I'll let it as is if you are fine with it.

> I also think the description could be a bit more down-to-earth.

Agreed. I took it from the readme. Improve with passage from the documentation (http://leather.readthedocs.io/en/0.3.3/about.html).

Spec URL: http://dl.jujens.eu/SPECS/python-leather.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-leather-0.3.3-2.gite85dd30.fc25.src.rpm

Comment 6 Dhanesh B. Sabane 2017-03-16 16:06:24 UTC
(In reply to Julien Enselme from comment #5)
> Spec URL: http://dl.jujens.eu/SPECS/python-leather.spec
> SRPM URL:
> http://dl.jujens.eu/SRPMS/python-leather-0.3.3-2.gite85dd30.fc25.src.rpm

+ Package name - OK
+ Builds and installs - OK
+ License is acceptable
+ Latest version - OK
+ BuildRequires look sane
+ python macros are used
+ %python_provide is used

Package is APPROVED.


(In reply to Julien Enselme from comment #2)
> > Disclaimer : I'm not a packager yet. So this is an unofficial review.
> 
> I hope you will be soon!
> 

Thank you for your well wishes again. I'm now a packager. :)

Comment 7 Julien Enselme 2017-03-16 16:21:04 UTC
> Thank you for your well wishes again. I'm now a packager. :)

Thanks for the review and welcome to the club!

Comment 8 Gwyn Ciesla 2017-03-16 16:31:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-leather

Comment 9 Fedora Update System 2017-03-16 18:00:44 UTC
python-leather-0.3.3-2.gite85dd30.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ceb5bfa9b6

Comment 10 Fedora Update System 2017-03-16 18:07:32 UTC
python-leather-0.3.3-2.gite85dd30.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c04a15f2b6

Comment 11 Fedora Update System 2017-03-17 02:20:23 UTC
python-leather-0.3.3-2.gite85dd30.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ceb5bfa9b6

Comment 12 Fedora Update System 2017-03-17 20:25:53 UTC
python-leather-0.3.3-2.gite85dd30.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c04a15f2b6

Comment 13 Fedora Update System 2017-03-26 08:19:29 UTC
python-leather-0.3.3-2.gite85dd30.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-04-01 17:11:22 UTC
python-leather-0.3.3-2.gite85dd30.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.